%define name krabber
%define	version 0.4.4_PRE_3
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Krabber -- audio data encoder/converter/grabber frontend
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: X11/KDE/Multimedia
Copyright: GPL
Vendor: Adrian Schroeter <krabber@gmx.de>
Packager: Brian Wright <bdw@aturna.com>
Distribution: KDE
Source: %{name}-%{version}.tar.bz2
URL: http://krabber.automatix.de
Requires: kdelibs qt => 1.44
BuildRoot: /tmp/build-%{name}-%{version}

%description
An audio data encoder/converter/grabber frontend, Krabber reads
wav, mp3 files or audio tracks and writes wav or mp3 files.

%prep
rm -rf %{builddir}

%setup
touch `find . -type f`

%build
if [ -z "$KDEDIR" ]; then
        export KDEDIR=%{prefix}
fi
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT \
	--with-qt-dir=/usr/lib/qt-1.44 \
	--with-qt-includes=/usr/lib/qt-1.44/include \
	--with-qt-libraries=/usr/lib/qt-1.44/lib
make

%install
if [ -z "$KDEDIR" ]; then
        export KDEDIR=%{prefix}
fi
rm -rf $RPM_BUILD_ROOT
make install-strip

# these conflict with kdebase and kmp3
if [ -z "$KDEDIR" ]; then
        export KDEDIR=%{prefix}
fi
#cd $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio
#mv -f x-mp3.kdelnk krabber-mp3.kdelnk
#mv -f x-mp2.kdelnk krabber-mp2.kdelnk
#mv -f x-mp1.kdelnk krabber-mp1.kdelnk

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}
echo "%docdir $KDEDIR/doc/kde" >> $RPM_BUILD_DIR/file.list.%{name}


%files -f ../file.list.%{name}

%doc AUTHORS BUGS CDDB COPYING CREDITS ChangeLog FEATURES INSTALL NEWS README README.KDE2 TRANSLATE

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%changelog

* Sun Dec 26 1999 Brian Wright <bdw@aturna.com>
- Initial build for RedHat Linux 6.x using /opt/kde
